<?
  ##########################################
## Автор: Говно кодырь -=ШАХТЕР=-           #  
## Сайт: http://masteram.us ICQ  : 46-92-90 #
### Версия 4.0 Лицензионная                 #
## Данная версия скрипта являлась ПЛАТНОЙ,  #
## вы НЕ ИМЕЛИ ПРАВА распрострянять данный  #
## скрипт или какие-либо части его кода...  #
## А ТЕПЕРЬ СВСЕМ НА ЭТО ПОХУЙ!!!)))        #
  #########################################
require'../config.php';
$align='left';
$title='Анкета';
aut();
head();
who_add(0,'enter');

switch($mod) {

case 'photo':

if (empty($act)){

echo 'Размер загружаемого фото не должен привышать '.$set['size_photo'].' кб. Форматы: gif, jpg, jpeg, png.<br/>';
if ($_GET['err']==1)echo '<b>Недопустимое расширение файла!</b><br />';
if ($_GET['err']==2)echo '<b>Размер файла не должен превышать '.$set['size_photo'].' кб.</b><br />';





echo '<form ENCTYPE="multipart/form-data" action="upload?mod='.$mod.'&amp;act=act&amp;'.SID.'" method="post">';
echo '<b>Прикрепить фотку:</b><br/>';
echo '<INPUT NAME="file" TYPE="file" SIZE="20"><br/>
<input type="submit" class="ibutton"  value="Отправить">
</form><br/>';

}else{

if(!isset($_FILES['file'])) $err = "<b>Вы не указали файл!</b><br/>";

$pictures = array('.gif', '.jpg', '.jpeg', '.png');
$ext = strtolower(strrchr($_FILES['file']['name'], '.'));

$fnames=$_FILES['file']['name']; //имя
if ((preg_match("/.php/i", $fnames)) or (preg_match("/.pl/i", $fnames)) or ($fnames == ".htaccess")){header ('Location: upload?mod='.$mod.'&err=1&'.SID);exit;}



if(!in_array($ext, $pictures)){header ('Location: upload?mod='.$mod.'&err=1&'.SID);exit;}
if($_FILES['file']['size'] > (1024 * $set['size_photo'])) {header ('Location: upload?mod='.$mod.'&err=2&'.SID);exit;}

$foto = "files/photos/photo_".$user['id'].$ext."";

unlink (H.$user['photo'].'');

@copy($_FILES['file']['tmp_name'], H.$foto);
@chmod(H.basename($foto), 0644);
@$db->sql_query ("Update users set photo='".$foto."', vote_photo='0' where id ='".$user['id']."'");
@$db->sql_query ("Delete from golos where user ='".$user['id']."'");

header ('Location: profile?mod=photo&ok=add&'.SID);exit;
}

break;

}

echo gb.'<a href="index?mod=photo">Меню фото</a>'.div;
echo gb.'<a href="index">Личный кабинет</a>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
foot();
?>